Admin APIPrice lists
Delete a Price List
Delete a price list.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
The price list's ID.
Response Body
application/json
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X DELETE "https://{tenant}.api.myxclade.com/admin/price-lists/string"{
"id": "string",
"object": "price_list",
"deleted": true
}{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}Mark a Payment Collection as Paid
Mark a payment collection as paid. This creates and authorizes a payment session, then capture its payment, using the manual payment provider.
List Price Lists
Retrieve a list of price lists. The price lists can be filtered by fields such as `id`. The price lists can also be sorted or paginated.